package com.csc349blum.edittextsample;

import com.csc349blum.edittextsample.R.id;

import android.os.Bundle;
import android.app.Activity;
import android.view.Menu;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		//findViewById -- like getElementById in JavaScript 
		// (Button) cast generic view (element) as a Button 
		// btnTest name of object
		// Button type of object
		Button btnTest = (Button) findViewById(id.btnTest);

		
		btnTest.setOnClickListener(new OnClickListener(){

			@Override
			public void onClick(View arg0) {
				//declare, find and cast various edit texts 
				EditText etPlain = (EditText) findViewById(id.etPlainText);
				
				EditText etPassword = (EditText) findViewById(id.etPassword);
				//etPassword has inputType of textPassword -- user can't see 
				
				EditText etNumber = (EditText) findViewById(id.etNumber);
				//etNumber has inputType of number -- user should only be able to type in numbers 
				
				//getText from editTexts -- need to use toString 
				String strPlain = etPlain.getText().toString();
				String strPassword = etPassword.getText().toString();
				String strNumber = etNumber.getText().toString();
				
				// convert the text from etNumber to an integer variable 
				int intNumber = Integer.parseInt(strNumber);
				intNumber *= 2; //do something "numbery" to the integer variable 
				
				//declare, find and cast various a textview to display the results 
				TextView tvResult = (TextView) findViewById(id.tvResult);
				
				//prepare output
				String strResult="";
				strResult = "Plain: " + strPlain +"\n";
				strResult += "Password: "+ strPassword + "\n";
				strResult += "Twice the number: " + Integer.toString(intNumber); 
				//convert back to a string to concatenate
				
				//display result
				tvResult.setText(strResult);	
			}//end onClick method
			
			}); //end OnClickListener
		
	} //end onCreate


} //end class 
